OGRE: Ogre::Volume::ChunkParameters Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Volume::ChunkParameters Struct Reference
Optional Components » Volume

Parameters for loading the volume. More...

`#include <OgreVolumeChunk.h>`

## Public Member Functions
| ChunkParameters (void)
| Constructor.

## Public Attributes
bool | async
| Whether to load the chunks async. if set to false, the call to load waits for the whole chunk. false is the default.
Real | baseError
| The smallest allowed geometric error of the highest LOD.
bool | createDualGridVisualization
| Whether to create the dualgrid debug visualization entity with false as default.
size_t | createGeometryFromLevel
| The first LOD level to create geometry for. For scenarios where the lower levels won't be visible anyway. 0 is the default and switches this off.
bool | createOctreeVisualization
| Whether to create the octree debug visualization entity with false as default.
Real | errorMultiplicator
| The error multiplicator per LOD level with 1.0 as default.
MeshBuilderCallback * | lodCallback
| Callback for a specific LOD level.
Real | maxScreenSpaceError
| The maximum accepted screen space error when choosing the LOD levels to render.
Real | scale
| The scale of the volume with 1.0 as default.
SceneManager * | sceneManager
| The scenemanager to construct the entity with.
Real | skirtFactor
| Factor for the skirt length generation.
Source * | src
| The volume source.
Vector3 | updateFrom
| If an existing chunktree is to be partially updated, set this to the back lower left point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load). 1.5 is the default.
Vector3 | updateTo
| If an existing chunktree is to be partially updated, set this to the front upper right point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load).

## Detailed Description

Parameters for loading the volume.

## Constructor & Destructor Documentation

## ◆ ChunkParameters()

Ogre::Volume::ChunkParameters::ChunkParameters | ( | void |  | ) |
| inline

Constructor.

References async, baseError, createDualGridVisualization, createGeometryFromLevel, createOctreeVisualization, errorMultiplicator, lodCallback, maxScreenSpaceError, scale, sceneManager, skirtFactor, src, updateFrom, and updateTo.

## Member Data Documentation

## ◆ sceneManager

SceneManager* Ogre::Volume::ChunkParameters::sceneManager

The scenemanager to construct the entity with.

Referenced by ChunkParameters().

## ◆ src

Source* Ogre::Volume::ChunkParameters::src

The volume source.

Referenced by ChunkParameters().

## ◆ baseError

Real Ogre::Volume::ChunkParameters::baseError

The smallest allowed geometric error of the highest LOD.

Referenced by ChunkParameters().

## ◆ errorMultiplicator

Real Ogre::Volume::ChunkParameters::errorMultiplicator

The error multiplicator per LOD level with 1.0 as default.

Referenced by ChunkParameters().

## ◆ createOctreeVisualization

bool Ogre::Volume::ChunkParameters::createOctreeVisualization

Whether to create the octree debug visualization entity with false as default.

Referenced by ChunkParameters().

## ◆ createDualGridVisualization

bool Ogre::Volume::ChunkParameters::createDualGridVisualization

Whether to create the dualgrid debug visualization entity with false as default.

Referenced by ChunkParameters().

## ◆ skirtFactor

Real Ogre::Volume::ChunkParameters::skirtFactor

Factor for the skirt length generation.

Referenced by ChunkParameters().

## ◆ lodCallback

MeshBuilderCallback* Ogre::Volume::ChunkParameters::lodCallback

Callback for a specific LOD level.

Referenced by ChunkParameters().

## ◆ scale

Real Ogre::Volume::ChunkParameters::scale

The scale of the volume with 1.0 as default.

Referenced by ChunkParameters().

## ◆ maxScreenSpaceError

Real Ogre::Volume::ChunkParameters::maxScreenSpaceError

The maximum accepted screen space error when choosing the LOD levels to render.

Referenced by ChunkParameters().

## ◆ createGeometryFromLevel

size_t Ogre::Volume::ChunkParameters::createGeometryFromLevel

The first LOD level to create geometry for. For scenarios where the lower levels won't be visible anyway. 0 is the default and switches this off.

Referenced by ChunkParameters().

## ◆ updateFrom

Vector3 Ogre::Volume::ChunkParameters::updateFrom

If an existing chunktree is to be partially updated, set this to the back lower left point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load). 1.5 is the default.

Referenced by ChunkParameters().

## ◆ updateTo

Vector3 Ogre::Volume::ChunkParameters::updateTo

If an existing chunktree is to be partially updated, set this to the front upper right point of the (sub-)cube to be reloaded. Else, set both update vectors to zero (initial load).

Referenced by ChunkParameters().

## ◆ async

bool Ogre::Volume::ChunkParameters::async

Whether to load the chunks async. if set to false, the call to load waits for the whole chunk. false is the default.

Referenced by ChunkParameters().

The documentation for this struct was generated from the following file:

- OgreVolumeChunk.h